# Generated by Django 5.0.6 on 2024-09-24 01:19

import django.db.models.deletion
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("home", "0011_footersection"),
        ("wagtailcore", "0093_uploadedfile"),
    ]

    operations = [
        migrations.CreateModel(
            name="Menu",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=50)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="MenuItem",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                (
                    "link_title",
                    models.CharField(
                        blank=True,
                        help_text="Optional title for the menu item.",
                        max_length=50,
                        null=True,
                    ),
                ),
                (
                    "link_url",
                    models.CharField(
                        blank=True,
                        help_text="External URL for the menu item.",
                        max_length=500,
                    ),
                ),
                (
                    "open_in_new_tab",
                    models.BooleanField(
                        blank=True, default=False, help_text="Open link in a new tab."
                    ),
                ),
                (
                    "link_page",
                    models.ForeignKey(
                        blank=True,
                        help_text="Select an internal page to link to.",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "menu",
                    modelcluster.fields.ParentalKey(
                        default=None,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="menu_items",
                        to="home.menu",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
            },
        ),
    ]
